@import '~@angular/material/theming';

@mixin mat-custom-tooltip-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary ); 
}

  .mat-tooltip{
    font-weight: 400;
    font-size: 0.75rem !important;
    line-height: 0.875rem;
    margin: 0.5rem 0 ;
    border-radius: 0.25rem ;
    background-color: $grey-9;
    color: $white;
    white-space: pre-line;
    width: auto;
    max-width: 15.625rem;
    padding: 0.1333333rem 0.25rem;

      &.truncate{
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    
  }

  .mat-tooltip {
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
  }

  .mat-tooltip-handset {
    font-size: 0.75rem;
    padding-top: 0rem;
    padding-bottom: 0.3125rem;
  }